############################################################################
#
#       Project		GP intergrated ant program using MODIFIED gpquick-2.1,
# 			using C/Unix/etc $Revision: 1.2 $ 
#	    
#       Author		W.B.Langdon
#
#	Created		28 March 1997, based upon ant.make.alpha Revision: 1.1
# 									   
#	Modifications:  
#
#	Module:         make.alpha
#
#	Description:          
#
#	Notes		ensure pch.h contain #define UNIX
#			#define MULTREE
#
############################################################################

NAME 	= GPant
OBJS 	= gp.o  ant.o antprob.o  stats.o chrome.o   primitiv.o   selector.o
LIBS 	= -lg++ -lm
CC 	= gcc
COMPILE = $(CC) -c $(CFLAGS)
CFLAGS 	= -O2
#CFLAGS = -g3 -Wall -check -pg
LINK 	= $(CC) -o 
LDFLAGS =  -g


$(NAME):$(OBJS) 
	$(LINK) $(NAME) $(LDFLAGS) $(OBJS) $(LIBS)

#C++ source files

gp.o:	gp.cc pch.h chrome.h selector.h ant.h primitiv.h Primitives.h time.h gp.h trace.h test.h
	$(COMPILE) gp.cc

ant.o:	ant.cc pch.h chrome.h antprob.h selector.h primitiv.h test.h
	$(COMPILE) ant.cc

antprob.o:	antprob.cxx pch.h chrome.h ant.h selector.h primitiv.h gp.h test.h
	$(COMPILE) antprob.cxx

stats.o:	stats.cc pch.h chrome.h selector.h ant.h gp.h trace.h
	$(COMPILE) stats.cc

#time.o:		time.cc pch.h chrome.h selector.h ant.h time.h list.h Primitives.h gp.h trace.h 
#	$(COMPILE) time.cc

chrome.o:	chrome.cxx pch.h chrome.h selector.h ant.h
	$(COMPILE) chrome.cxx

primitiv.o:	primitiv.cxx pch.h chrome.h selector.h ant.h time.h primitiv.h
	$(COMPILE) primitiv.cxx

selector.o:	selector.cxx pch.h selector.h
	$(COMPILE) selector.cxx
